/*	controller.js
	
	My job, as the controller, is to render the result. 
	
	The output from this API is a list of forecast
	data. The first forecast is close enough to the current
	time to call it the current conditions, for the 
	purposes of our simplified example.
*/

//------------------------------------

const log = console.log;

//=====================================	

class Controller {
	
	static showApiResult(result) {
		const list = result.list;
		const main = list[0].main;
		const temperature = main.temp;
		for (var key of Object.keys(main))
			log(key + ': ' + main[key]);
	}

}	
	
//=====================================	

exports.Controller = Controller;	
	
	
	
